CONNIE(1)

NAME
connie - emulation of an electronic organ like e.g. Vox Continental

SYNOPSIS
connie [options]

DESCRIPTION
This manual page documents briefly the connie command.

connie is a program that simulates the signal flow of an old
polyphonic analog organ. It's a jack client with one midi in
and two audio out ports.

Two instruments are available, selected by program option "-i NUM".
-i0 selects an organ like "Vox Continental",
-i1 selects a "Poor-Man's-Hammond".
The continental type has four stops (8", 4", 2" and mixture) and three
voices (flute=sine, reed=rect and sharp=sawtooth).
The P-M-H has the nine well known stops but only one voice (sine).
Both instruments have tunable percussion, vibrato and reverb effects.
A text based user interface shows drawbars for the stops and effects.
They can be manipulated by typing unshifted or shifted character keys.
On a standard QWERTY keyboard "Q" moves the first drawbar up, "A" down,
"W"/"S" moves the second drawbar, "E"/"D" moves the third etc.
Option -f selects french (AZERTY) and -g selects german (QWERTZ) layout.
Number keys 0..9 select ten predefined presets.
<SPACE> acts as a panic key and <ESC> quits the program (after asking).

OPTIONS

-a  autoconnect to system:playback ports

-c CHANNEL
    select MIDI channel 1..16, 0=all (default)

-f  use french AZERTY keyboard

-g  use german QWERTZ keyboard

-h  show help

-i INSTRUMENT
    select organ model:
      0 = connie (default),
      1 = poor-man's-hammond

-m MIDI_PORT
    connect to jack midi port

-p FREQUENCY
    set concert pitch 220..880 Hz

-s SCALE
    select intonation scale
      0 = Equally Tempered
      1 = Hammond Gears (default)
      2 = Pure Intonation
      3 = Pythagorean
      4 = Meantone 1/4
      5 = Werckmeister III
      6 = Kirnberger III

-t SEMI
    transpose -12..+12 semitones

-v  show version

-C configfile
    load config file

-U UUID
    set jack session UUID

AUTHOR
The program connie was written by Martin Homuth-Rosemann.

This manual page was written by Martin Homuth-Rosemann
for the Debian project (and may be used by others).